package pizzeria;

public abstract class PizzaStore {
 
	abstract Pizza createPizza(String item);
 
	public final Pizza orderPizza(String type) {
		Pizza pizza = createPizza(type);

		if (pizza != null) {
			System.out.println("--- Making a " + pizza.getName() + " ---");
			pizza.prepare();
			pizza.bake();
			pizza.cut();
			pizza.box();
		} else {
			System.out.println("There is no such pizza like " + type);
		}

		return pizza;
	}
}
